curl --request GET \
--url https://api.deepl.com/v3/languages/products \
--header 'Authorization: <api-key>'[
{
"name": "translate_text",
"features": [
{
"name": "formality",
"needs_target_support": true
},
{
"name": "custom_instructions",
"needs_target_support": true
},
{
"name": "tag_handling",
"needs_source_support": true,
"needs_target_support": true
},
{
"name": "glossary",
"needs_source_support": true,
"needs_target_support": true
},
{
"name": "auto_detection",
"needs_source_support": true
}
]
},
{
"name": "voice",
"features": [
{
"name": "glossary",
"needs_source_support": true,
"needs_target_support": true
}
]
},
{
"name": "style_rules",
"features": []
}
]Returns all DeepL API products and the features they support.
For each feature, the response indicates which languages must support it for the feature to be
available — source only (needs_source_support), target only (needs_target_support), or both.
This allows clients to determine feature availability for a language pair by checking the
appropriate language’s features array returned by GET /v3/languages.
curl --request GET \
--url https://api.deepl.com/v3/languages/products \
--header 'Authorization: <api-key>'[
{
"name": "translate_text",
"features": [
{
"name": "formality",
"needs_target_support": true
},
{
"name": "custom_instructions",
"needs_target_support": true
},
{
"name": "tag_handling",
"needs_source_support": true,
"needs_target_support": true
},
{
"name": "glossary",
"needs_source_support": true,
"needs_target_support": true
},
{
"name": "auto_detection",
"needs_source_support": true
}
]
},
{
"name": "voice",
"features": [
{
"name": "glossary",
"needs_source_support": true,
"needs_target_support": true
}
]
},
{
"name": "style_rules",
"features": []
}
]Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
JSON array where each item represents a DeepL API product.
The product identifier.
translate_text, translate_document, glossary, voice, write, style_rules "translate_text"
Features supported by this product. Each feature indicates which languages must support it for the feature to be available — source, target, or both.
Show child attributes